using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class updatetablePlacementAppointmentsaddAmount : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<double>(
                name: "Amount",
                table: "PlacementRelocations",
                type: "double",
                nullable: true,
                comment: "เงินเดือน");

            migrationBuilder.AddColumn<double>(
                name: "Amount",
                table: "PlacementReceives",
                type: "double",
                nullable: true,
                comment: "เงินเดือน");

            migrationBuilder.AddColumn<double>(
                name: "Amount",
                table: "PlacementAppointments",
                type: "double",
                nullable: true,
                comment: "เงินเดือน");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Amount",
                table: "PlacementRelocations");

            migrationBuilder.DropColumn(
                name: "Amount",
                table: "PlacementReceives");

            migrationBuilder.DropColumn(
                name: "Amount",
                table: "PlacementAppointments");
        }
    }
}
